# Interface ImaDaiIntegrationLoadOptions

interface ImaDaiIntegrationLoadOptions {
fallbackSource: Source;
podSourceResolver?: ((streamId) => Source);
streamRequest: StreamRequest;
}

#####
Index

### Properties

fallbackSource
podSourceResolver?
streamRequest

## Properties

### fallbackSource

fallbackSource: Source

A fallback stream to use if the IMA DAI SDK fails to get a stream

### `Optional` podSourceResolver

podSourceResolver?: ((streamId) => Source)

A function to resolve the source URL for a pod stream by replacing the placeholder in the provided URL with the given stream ID. Should return valid source object.

#### Type declaration

- - (streamId): Source

  - #### Parameters

    - streamId: string

    #### Returns Source

### streamRequest

streamRequest: StreamRequest